%define upstream_name    Crypt-OpenSSL-DSA
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Digital Signature Algorithm using OpenSSL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/T/TJ/TJMATHER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: openssl-devel
%description
Crypt::OpenSSL::DSA implements the DSA 
(Digital Signature Algorithm) signature verification system.

It is a thin XS wrapper to the DSA functions contained in the 
OpenSSL crypto library, located at http://www.openssl.org

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.150.0-3.mga6
+ Revision: 1024522
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.150.0-2.mga6
+ Revision: 956973
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.150.0-1.mga6
+ Revision: 843924
- update to 0.15

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-7.mga5
+ Revision: 739217
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-6.mga5
+ Revision: 684047
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.140.0-5.mga5
+ Revision: 630958
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.140.0-4.mga4
+ Revision: 524235
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.140.0-3.mga4
+ Revision: 430608
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 364894
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.140.0-1.mga3
+ Revision: 316044
- update to 0.14

* Wed May 30 2012 jquelin <jquelin> 0.130.0-5.mga3
+ Revision: 250398
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.130.0-4.mga2
+ Revision: 103842
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.130.0-3.mga1
+ Revision: 10411
- imported package perl-Crypt-OpenSSL-DSA


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-3mdv2011.0
+ Revision: 555717
- rebuild

* Tue Apr 13 2010 Funda Wang <fwang@mandriva.org> 0.130.0-2mdv2010.1
+ Revision: 534174
- rebuild

* Wed Aug 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.0
+ Revision: 410155
- fixing error due to -Werror=format-security
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.13-6mdv2009.0
+ Revision: 256273
- rebuild

* Thu Jan 24 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.13-4mdv2008.1
+ Revision: 157725
- Rebuild for new perl

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.13-2mdv2008.1
+ Revision: 131425
- kill re-definition of %%buildroot on Pixel's request


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-2mdv2007.0
- Rebuild

* Mon Nov 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdk
- New release 0.13
- fix sources URL
- spec cleanup

* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.12-2mdk
- Fix Url according to Perl policy( thanks guillomovitch )

* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.12-1mdk
- 0.12
- Fix Description
- Fix Source url
- Fix Url
- %%mkrel

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.11-6mdk
- Rebuild for new perl

* Thu Apr 01 2004 Michael Scherer <misc@mandrake.org> 0.11-5mdk
- do not own standard dir
- [DIRM]

